window.Gleam.initSearch([{"doc":"dotenv_gleam","title":"dotenv_gleam","content":"# dotenv_gleam\n\n[![Package Version](https://img.shields.io/hexpm/v/dotenv)](https://hex.pm/packages/dotenv_gleam)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/dotenv_gleam/)\n\nSimilar to [Node](https://www.npmjs.com/package/dotenv) dotenv and [Ruby](https://github.com/bkeepers/dotenv) dotenv\n\n\n## Installation\n\nIf available on Hex this package can be added to your Gleam project:\n\n```sh\ngleam add dotenv_gleam\n```\n\nthen in your code:\n\n```gleam\n\nimport dotenv_gleam\nimport envoy // do not forget to add envoy to the project\n\npub fn main() {\n  let assert Ok(Nil) = dotenv_gleam.config() // this should load .env file or return an error if it does not exist\n\n  let assert Ok(test) = envoy.get(&quot;TEST&quot;)\n  let assert Ok(bar) = envoy.get(&quot;BAR&quot;)\n}\n\n// or you can specify the path to the .env file\n\npub fn main() {\n  let assert Ok(Nil) = dotenv_gleam.config_with(&quot;path/to/.env&quot;) // this should load .env file or return an error if it does not exist\n\n  let assert Ok(test) = envoy.get(&quot;TEST&quot;)\n  let assert Ok(bar) = envoy.get(&quot;BAR&quot;)\n}\n\n```\n\nand its documentation can be found at &lt;https://hexdocs.pm/dotenv_gleam&gt;.\n","url":"index.html"},{"doc":"dotenv_gleam","title":"DotEnvError","content":"pub type DotEnvError {\n  ErrorReadingEnvFile(simplifile.FileError)\n}\n An error that can occur when loading environment variables from a `.env` file.\nErrorReadingEnvFile(simplifile.FileError)\n\n\nSynonyms:\ndotenv_gleam.DotEnvError\ndotenv_gleam DotEnvError","url":"dotenv_gleam.html#DotEnvError"},{"doc":"dotenv_gleam","title":"config","content":"pub fn config() -&gt; Result(Nil, DotEnvError)\n Tries to load environment variables from a `.env` file in the current\n working directory.\n this function returns a result with the error if it&#39;s not possible to read\n the file.\n\n ## Examples\n\n \n &gt; let assert Ok(Nil) = config()\n &gt; envoy.get(&quot;TEST&quot;)\n Ok(&quot;test&quot;)\n \n\n \n &gt; use _ &lt;- result.try(config())\n &gt; envoy.get(&quot;TEST&quot;)\n Ok(&quot;test&quot;)\n \nSynonyms:\ndotenv_gleam.config\ndotenv_gleam config","url":"dotenv_gleam.html#config"},{"doc":"dotenv_gleam","title":"config_with","content":"pub fn config_with(file: String) -&gt; Result(Nil, DotEnvError)\n Tries to load environment variables from a file specified in the current\n working directory.\n this function returns a result with the error if it&#39;s not possible to read\n the file.\n\n ## Examples\n\n \n &gt; let assert Ok(Nil) = config_with(&quot;path/to/.env&quot;)\n &gt; envoy.get(&quot;TEST&quot;)\n Ok(&quot;test&quot;)\n \n\n \n &gt; use _ &lt;- result.try(config_with(&quot;path/to/.env&quot;))\n &gt; envoy.get(&quot;TEST&quot;)\n Ok(&quot;test&quot;)\n \nSynonyms:\ndotenv_gleam.config_with\ndotenv_gleam config_with","url":"dotenv_gleam.html#config_with"},{"doc":"dotenv_gleam","title":"dotenv_gleam","content":"","url":"dotenv_gleam.html"}]);